#include "testApp.h"
#include <GLUT/glut.h>
#include <ApplicationServices/ApplicationServices.h>

//int w = ofGetWidth;



//--------------------------------------------------------------
void testApp::setup(){	
	
	ofEnableAlphaBlending();
	
	camWidth 		= 320;	// try to grab at this size. 
	camHeight 		= 240;
	//int w = ofGetWidth;
	vidGrabber.setVerbose(true);
	vidGrabber.initGrabber(camWidth,camHeight);
	
	videoInverted 	= new unsigned char[camWidth*camHeight*3];
	videoTexture.allocate(camWidth,camHeight, GL_RGB);
	
}


//--------------------------------------------------------------
void testApp::update(){
	
	ofBackground(100,100,100);
	
	vidGrabber.grabFrame();
	
	
	
}

//--------------------------------------------------------------
void testApp::draw(){
	
	ofSetColor(255,255,255,255);

//	bob.draw(0,0,1024,768);   //this redraws the 'grabbed' screen at full size(of vidGrabber.draw),at the vidGrabber.draw co-ordinates		
	
//	bob.draw(-100,-100,1224,968);    //these parameters redraw the 'grabbed' screen larger than vidGrabber.draw (x&y co-ordinates -100,x&y size parameters +200)
	
	bob.draw(-10,-10,1044,788);	      //these redraw much closer to vidGrabber(coordinates -10,size+20),creating the blur effect - this is what we had in class

	ofSetColor(255,255,255,220);
	vidGrabber.draw(352,264,320,240);
	


	bob.grabScreen(0,0,1024,768);
	
	


}
//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
	// in fullscreen mode, on a pc at least, the 
	// first time video settings the come up
	// they come up *under* the fullscreen window
	// use alt-tab to navigate to the settings
	// window. we are working on a fix for this...
	
	if (key == 's' || key == 'S'){
		vidGrabber.videoSettings();
	}
	
	
}


//void ofHideCursor(){
//#ifdef TARGET_OSX
//	CGDisplayHideCursor(kCGDirectMainDisplay);
//#else
//	glutSetCursor(GLUT_CURSOR_NONE);
//#endif
//}
//
//void ofShowCursor(){
//#ifdef TARGET_OSX
//	CGDisplayShowCursor(kCGDirectMainDisplay);
//#else
//	glutSetCursor(GLUT_CURSOR_LEFT_ARROW);
//#endif
//}



//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){
	
}
